<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title *ngIf="!point">PoznajApp</ion-title>
    <ion-title *ngIf="point">{{ point.properties.title }}</ion-title>
  </ion-navbar>
</ion-header>

<ion-content>
  <ion-spinner *ngIf="!point" class="center-spinner"></ion-spinner>
  <div *ngIf="point">
    <ion-slides [pager]="true">
      <ion-slide *ngFor="let slide of point.properties.point_images"
                 [ngStyle]="{'background-image': 'url(' + slide.image_file + ')'}">
        <div class="card-title">{{slide.title}}</div>
      </ion-slide>
    </ion-slides>
    <p>{{ point.properties.description }}</p>
  </div>

  <ion-fab bottom right *ngIf="point">
    <button ion-fab color="primary" (click)="navigate()">
      <ion-icon name="navigate"></ion-icon>
    </button>
  </ion-fab>
</ion-content>
